Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.hibernate3.support
Class ClobStringType

    java.lang.Object
      org.springframework.orm.hibernate3.support.AbstractLobType
          org.springframework.orm.hibernate3.support.ClobStringType

All Implemented Interfaces:
  UserType

    public class ClobStringType

extends AbstractLobType

Hibernate UserType implementation for Strings that get mapped to CLOBs. Retrieves the LobHandler to use from LocalSessionFactoryBean at config time.

Particularly useful for storing Strings with more than 4000 characters in an Oracle database (only possible via CLOBs), in combination with OracleLobHandler.

Can also be defined in generic Hibernate mappings, as DefaultLobCreator will work with most JDBC-compliant database drivers. In this case, the field type does not have to be CLOB: For databases like MySQL and MS SQL Server, any large enough character type will work.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `LocalSessionFactoryBean.setLobHandler(org.springframework.jdbc.support.lob.LobHandler)`

Field Summary

Fields inherited from class org.springframework.orm.hibernate3.support.AbstractLobType
`logger`

Constructor Summary
`` | `ClobStringType()` Constructor used by Hibernate: fetches config-time LobHandler and config-time JTA TransactionManager from LocalSessionFactoryBean.
`protected` | `ClobStringType(LobHandler lobHandler, TransactionManager jtaTransactionManager)` Constructor used for testing: takes an explicit LobHandler and an explicit JTA TransactionManager (can be `null`).

Method Summary
`protected Object` | `nullSafeGetInternal(ResultSet rs, String[] names, Object owner, LobHandler lobHandler)` Template method to extract a value from the given result set.
`protected void` | `nullSafeSetInternal(PreparedStatement ps, int index, Object value, LobCreator lobCreator)` Template method to set the given parameter value on the given statement.
`Class` | `returnedClass()`
`int[]` | `sqlTypes()`

Methods inherited from class org.springframework.orm.hibernate3.support.AbstractLobType
`assemble, deepCopy, disassemble, equals, hashCode, isMutable, nullSafeGet, nullSafeSet, replace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.usertype.UserType
`nullSafeGet, nullSafeSet`

Constructor Detail

### ClobStringType

    public ClobStringType()

  Constructor used by Hibernate: fetches config-time LobHandler and config-time JTA TransactionManager from LocalSessionFactoryBean.

  See Also:
    `LocalSessionFactoryBean.getConfigTimeLobHandler()`, `LocalSessionFactoryBean.getConfigTimeTransactionManager()`

### ClobStringType

    protected ClobStringType(LobHandler lobHandler,
                             TransactionManager jtaTransactionManager)

  Constructor used for testing: takes an explicit LobHandler and an explicit JTA TransactionManager (can be `null`).

Method Detail

### sqlTypes

    public int[] sqlTypes()

### returnedClass

    public Class returnedClass()

### nullSafeGetInternal

    protected Object nullSafeGetInternal(ResultSet rs,
                                         String[] names,
                                         Object owner,
                                         LobHandler lobHandler)
                                  throws SQLException

  Description copied from class: `AbstractLobType`
  Template method to extract a value from the given result set.

  Specified by:
    `nullSafeGetInternal` in class `AbstractLobType`
  Parameters:
    `rs` - the ResultSet to extract from
    `names` - the column names
    `owner` - the containing entity
    `lobHandler` - the LobHandler to use
  Returns:
    the extracted value
  Throws:
    `SQLException` - if thrown by JDBC methods

### nullSafeSetInternal

    protected void nullSafeSetInternal(PreparedStatement ps,
                                       int index,
                                       Object value,
                                       LobCreator lobCreator)
                                throws SQLException

  Description copied from class: `AbstractLobType`
  Template method to set the given parameter value on the given statement.

  Specified by:
    `nullSafeSetInternal` in class `AbstractLobType`
  Parameters:
    `ps` - the PreparedStatement to set on
    `index` - the statement parameter index
    `value` - the value to set
    `lobCreator` - the LobCreator to use
  Throws:
    `SQLException` - if thrown by JDBC methods

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD